Subject: [mobile-ip] RE: Comments on Regional Registration

From: "Glenn Morrow" <[email-masked]>
Date: Tue, 13 Mar 2001 09:51:30 -0600

GM> Line item apologies below.

-----Original Message-----
From: Charlie Perkins [mailto:[email-masked]]
Sent: Tuesday, March 13, 2001 12:44 AM
To: Morrow, Glenn [RICH2:C330:EXCH]
Cc: [email-masked]
Subject: Comments on Regional Registration

Hello folks,

Sorry if this is a duplicate.  I do not know if the original
made it out of our site.

> Thanks for the reply. I am trying to get people to open up their minds
with
> IPv6. It is still fairly malleable for change and has many tools which can
> be used to achieve this functionality.

Do you mean to suggest changing IPv6?  If you mean changing something
else (using its favorable malleability), can you say what?

GM> Charlie, I see the output of work for node mobility in the mobile IP WG
as IPv6 - not as MIPv6. Your statement above is correct and I will try to
learn to say that.

>                                           The RR draft seems to be let's
> fork-lift the IPv4 solution and slap in some anycast magic. I think a
better
> solution is out there for this functionality using IPv6's features that
> leverages any natural aggregation that may exist in any given IP network. 

A slap is not respectful treatment for anybody, not even an
anycast address.  I think that the anycast address has
exactly the right semantics.  We also are trying to get people
to open their minds with IPv6.

GM> My statement above was horrible and extremely immature - downright crapy
too. There are significant differences between the v4 and v6 versions and
the demonstration of resourceful, creative, forward thinking is most evident
in the IPv6 solution. 

Anycast is exactly right, because what the mobile node "wants"
is for the crossover router to take the appropriate action,
without the mobile node knowing which router it is.

Anycast even helps to preserve the connectionless nature which
we would like to preserve for regionalized mobility handling.

GM> I agree, I support anycast too. To vilify a solution which employs it as
magic was wrong and I apologize.

> In my opinion arbitary point is not a requirement and even if it were
there
> are better solutions  which do not require any changes to the protocols,
> especially if you use tunneling.

I thought that a lot of people wanted to use an arbitrary point of
contact (between access network and Internet) as an "anchor point".
Or maybe you are referring to something else.

GM> I can see instances where it might be useful. I was not clear to begin
with on my concerns; hopefully my response to your other mail clarifies the
position.

> RR is nothing more than an IP proxy using MIP signaling to provision it.

In a subsequent note, you retracted this characterization, but I'd
still like to know how you wished to draw the analogy between
something in regionalized registration, and an IP proxy (what
is an IP proxy?).

GM> Proxy - Firewall for forward traffic and/or reverse traffic. This
statement was not true at all.

Regards,
Charlie P.

GM> Charlie, I sincerely apologize and will strive to not act like a little
turd anymore.

Thanks,

Glenn

---

From: Charlie Perkins <[email-masked]>
Date: Tue, 13 Mar 2001 08:58:14 -0800

Hello Glenn,

Thanks for your notes.  I just have one question below,
and then a comment about IPv4 regional registration.

Glenn Morrow wrote:

> GM> I agree, I support anycast too. To vilify a solution which employs
> it as magic was wrong and I apologize.

No need for apology, but I wanted to point out that this particular
use of anycast is easy to implement, assuming that one's IPv6
implementation supports anycast at all.  I don't know whether
we ought to publish the algorithmic steps, but it seems that most
people who have coded network protocols could figure out how
to make this particular anycast idea work.  Thus I am claiming
that we are not invoking magic here -- just to be clear.  And, to
be equally clear, I strongly suspect that you did not intend in your
sentence to classify our anycast solution to be counted among
those in the "magic" bin.

My other comment was that I hope we can forward with the
IPv4 regional registration draft.  That protocol works, has
implementations, has been through last call, and has been
reissued with comments responding to last call.  It is a very
nice protocol (o.k. I am biased).  I hope that it won't
be neglected because of desires for a more robust and
well-controlled host route dissemination mechanism.

Regards,
Charlie P.